Skip to main content
POST
/
searches
/
{search_id}
/
more-profiles
curl --request POST \
  --url https://api.goldilocksai.app/searches/{search_id}/more-profiles \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "profiles_requested": 20
}
'
{
  "success": true,
  "data": {
    "job_id": "550e8400-e29b-41d4-a716-446655440000",
    "search_id": "d7b7e1e3-2136-4eb4-872a-8c6dd265d518",
    "created_at": "2025-12-23T10:30:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "IN_PROGRESS",
    "profiles_requested": 20
  },
  "metadata": null,
  "error": null,
  "request_id": "abc12345-e89b-12d3-a456-426614174000",
  "processing_time_ms": 75
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Obtain your API key via the web application.

Path Parameters

search_id
string<uuid>
required

Unique identifier of the existing search

Body

application/json

Request body for fetching more profiles for an existing search

profiles_requested
integer
required

Number of additional profiles to fetch (1-200)

Required range: 1 <= x <= 200
Example:

20

Response

Request accepted and processing started

success
boolean
required
request_id
string<uuid>
required
processing_time_ms
integer
required
data
object

Response data for POST /searches/{search_id}/more-profiles

metadata
null
error
null